@echo off
rem A sample batch file to install Aspose.Words for SharePoint license

rem Set correct Common Files location
set COMMON_FILES=%CommonProgramW6432%
if exist "%COMMON_FILES%" goto L_DETECT_STSADM
set COMMON_FILES=%CommonProgramFiles%

:L_DETECT_STSADM
rem Detect SharePoint version
rem Try 16 hive for SP2016
set STSADM="%COMMON_FILES%\Microsoft Shared\Web Server Extensions\16\bin\stsadm.exe"
if exist %STSADM% goto L_STSADM_FOUND
rem Try 15 hive for SP2013
set STSADM="%COMMON_FILES%\Microsoft Shared\Web Server Extensions\15\bin\stsadm.exe"
if exist %STSADM% goto L_STSADM_FOUND
rem Try 14 hive for SP2010
set STSADM="%COMMON_FILES%\Microsoft Shared\Web Server Extensions\14\bin\stsadm.exe"
if exist %STSADM% goto L_STSADM_FOUND
rem Try 12 hive for SP2007/WSS 3
set STSADM2007=%STSADM%
set STSADM="%COMMON_FILES%\Microsoft Shared\Web Server Extensions\12\bin\stsadm.exe"
if exist %STSADM% goto L_STSADM_FOUND
set ERROR_MESSAGE=stsadm.exe not found at %STSADM% or %STSADM2007%. Make sure you are executing this batch file from the SharePoint server console.
goto L_ERROR

:L_STSADM_FOUND
set SOLUTION_NAME=Aspose.Words.SharePoint.License.wsp

echo This batch file adds Aspose.Words for SharePoint license to the server farm.
echo Please put %SOLUTION_NAME% into the current directory.
echo.

set ERROR_MESSAGE=Soultion file %SOLUTION_NAME% was not found in the current directory. Please put %SOLUTION_NAME% into the current directory and re-run this batch file.
if not exist %SOLUTION_NAME% goto L_ERROR

echo Adding solution to the SharePoint solution store...
%STSADM% -o addsolution -filename %SOLUTION_NAME%
echo Deploying solution to all servers in the farm...
%STSADM% -o deploysolution -name %SOLUTION_NAME% -immediate -force
%STSADM% -o execadmsvcjobs

goto L_END

:L_ERROR
echo.
echo %ERROR_MESSAGE%
goto L_END

:L_END
echo.
echo Press any key to quit . . .
pause > nul
